﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FactoryDemo
{
    /// <summary>
    /// 作者: 张伟
    /// 模块名称： 设计模式——简单工厂   
    /// 功能: 现金收费工厂
    /// 创建日期：2012/12/05
    /// 修改日期: 2012/12/05
    /// 修改原因：创建现金收费工厂类 
    /// </summary>
    class CashFactory
    {
        /// <summary>
        /// 简单工厂模式，计算不同的金额
        /// </summary>
        /// <param name="type">打折类型</param>
        /// <returns>打折对象</returns>
        public static CashSuper CreateCashAccept(string type)
        {
            CashSuper cs = null;
            switch (type)
            {
                case "正常收费":
                    CashNormal csNormal = new CashNormal();
                    cs = csNormal;
                    break;
                case "满300返100":
                   CashReturn csReturn = new CashReturn("300", "100");
                   cs = csReturn;
                    break;
                case "打8折":
                    CashRebate csRebate = new CashRebate("0.8");
                    cs = csRebate;
                    break;
            }

            return cs;
        }
    }
}
