﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FactoryDemo
{ 
    /// <summary>
    /// 作者: 张伟
    /// 模块名称： 设计模式——简单工厂   
    /// 功能: 打折收费类
    /// 创建日期：2012/12/05
    /// 修改日期: 2012/12/05
    /// 修改原因：创建打折收费类 
    /// </summary>
    class CashRebate:CashSuper
    {
        //折扣
        private double moneyRebate = 0.0;

        public CashRebate(string moneyRebate)
        {
            this.moneyRebate = double.Parse(moneyRebate);
        }

        /// <summary>
        /// 打折计算
        /// </summary>
        /// <param name="money">原价</param>
        /// <returns>折后价</returns>
        public override double AcceptCash(double money)
        {
            return money * moneyRebate;
        }
    }
}
