﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FactoryDemo
{
    /// <summary>
    /// 作者: 张伟
    /// 模块名称： 设计模式——简单工厂   
    /// 功能: 返利收费类
    /// 创建日期：2012/12/05
    /// 修改日期: 2012/12/05
    /// 修改原因：创建返利收费类 
    /// </summary>
    class CashReturn :CashSuper
    {
        //返利最低条件
        private double moneyCondition = 0.0;

        //返还额度
        private double mondyReturn = 0.0;

        public CashReturn(string moneyCondition, string moneyReturn)
        {
            this.moneyCondition = double.Parse(moneyCondition);
            this.mondyReturn = double.Parse(moneyReturn);
        }

        /// <summary>
        /// 返利计算
        /// </summary>
        /// <param name="money">原价</param>
        /// <returns>返利后的价格</returns>
        public override double AcceptCash(double money)
        {
            double result = money;
            if (money >= moneyCondition)
            {
                result = money - Math.Floor(money / moneyCondition) * mondyReturn;
            }
            return result;
        }
    }
}
